Your realtime numbers
curl --request GET \
--url https://patch.gg/api/v1/me/analytics/realtime \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://patch.gg/api/v1/me/analytics/realtime', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://patch.gg/api/v1/me/analytics/realtime"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"at": "<string>",
"hour_start": "<string>",
"minute_start": "<string>",
"kinds": {
"games": true,
"blocks": true
},
"followers": 123,
"hours": [
123
],
"minutes": [
123
],
"today": {
"plays": 123,
"views": 123,
"likes": 123,
"remixes": 123
},
"top": [
{
"handle": "<string>",
"name": "<string>",
"kind": "game",
"cover_url": "<string>",
"cover_levels": [
{
"width": 123,
"url": "<string>"
}
],
"n": 123
}
]
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}Analytics
Your realtime numbers
The last 48 hours by hour and the last 60 minutes by minute, today’s plays, views, likes and remixes, your followers and your top projects of the 48 hours. Ask about every 20 seconds while it’s on screen; answers are fresh for 15.
GET
/
me
/
analytics
/
realtime
Your realtime numbers
curl --request GET \
--url https://patch.gg/api/v1/me/analytics/realtime \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://patch.gg/api/v1/me/analytics/realtime', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://patch.gg/api/v1/me/analytics/realtime"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"at": "<string>",
"hour_start": "<string>",
"minute_start": "<string>",
"kinds": {
"games": true,
"blocks": true
},
"followers": 123,
"hours": [
123
],
"minutes": [
123
],
"today": {
"plays": 123,
"views": 123,
"likes": 123,
"remixes": 123
},
"top": [
{
"handle": "<string>",
"name": "<string>",
"kind": "game",
"cover_url": "<string>",
"cover_levels": [
{
"width": 123,
"url": "<string>"
}
],
"n": 123
}
]
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}Query Parameters
Response
Your realtime numbers